Bug 207860 - [PATCH] Upgrade tcsh to 6.20.00
Summary: [PATCH] Upgrade tcsh to 6.20.00
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Chagin
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-09 20:38 UTC by Vladimir Zakharov
Modified: 2017-04-23 11:09 UTC (History)
7 users (show)

See Also:
op: mfc-stable11?
op: mfc-stable10?


Attachments
Import tcsh 6.19.00 (412.58 KB, patch)
2016-03-09 20:38 UTC, Vladimir Zakharov
no flags Details | Diff
Updated patch with the next-word completion fix (412.58 KB, patch)
2016-04-15 10:59 UTC, Vladimir Zakharov
no flags Details | Diff
Patch for updating to tcsh-6.20.00 (540.42 KB, patch)
2016-11-25 20:05 UTC, Vladimir Zakharov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Zakharov 2016-03-09 20:38:27 UTC
Created attachment 167938 [details]
Import tcsh 6.19.00

Importing tcsh version 6.19.00 (released 21.05.2015) into the tree.

Version announce (ftp://ftp.astron.com/pub/tcsh/Announce-6.19.00):
=================
Hello,

I am pleased to announce that tcsh-6.19 is now available; this is a mainly a
bug fix release (after 3 years) with few new features:

	1. new cdtohome variable
	2. locking in history files
	3. history speedups.

Please consult the Fixes files for a complete list of changes.

Tcsh is an enhanced version of the Berkeley C-shell that offers command
line editing and completion plus many other little things that preserve
the length of your fingers.

Tcsh runs on most UNIX machines, VMS_POSIX, OS/2 EMX, WIN32, Amiga...

You can get tcsh from ftp://ftp.astron.com/pub/tcsh/tcsh-6.19.00.tar.gz

RMD160 (tcsh-6.19.00.tar.gz) = 0f1e8c5fdee634baff6670290bd30074db965da3

This is a gzip (GNU zip) tar archive. If you don't have GNU zip you can
get it from ftp.gnu.org or other GNU mirrors.

I would like to thank:

    * everyone who sent bug reports
    * the beta team for all their help, bug fixes, and suggestions

christos
=================
Comment 1 Vladimir Zakharov 2016-03-11 17:34:45 UTC
It seems, that next-word completion doesn't work on 6.19. Investigating...
Comment 2 Vladimir Zakharov 2016-04-15 10:59:24 UTC
Created attachment 169334 [details]
Updated patch with the next-word completion fix

Update patch with the next-word completion fix from http://mx.gw.com/pipermail/tcsh-bugs/2015-September/000979.html
Comment 3 alex.deiter 2016-11-22 22:03:19 UTC
This patch has been successfully tested:

root@nostromo:~ # csh --version
tcsh 6.19.00 (Astron) 2015-05-21 (x86_64-amd-FreeBSD) options wide,nls,dl,al,kan,sm,rh,color,filec

root@nostromo:~ # uname -a
FreeBSD nostromo.deiter.local 12.0-CURRENT-r308904-p31 FreeBSD 12.0-CURRENT-r308904-p31 #0 r308904M: Mon Nov 21 02:32:15 MSK 2016     root@nostromo.deiter.local:/usr/obj/usr/src/sys/NOSTROMO  amd64

Could you please review and commit this patch ?

It also cover another csh bugs:

Bug 185603 - csh(1) eats memory
Bug 196979 - tcsh dumps core

Thank you!
Comment 4 Vladimir Zakharov 2016-11-25 20:05:18 UTC
Created attachment 177393 [details]
Patch for updating to tcsh-6.20.00


Announce (ftp://ftp.astron.com/pub/tcsh/Announce-6.20.00)
=========================================================
Hello,

I am pleased to announce that tcsh-6.20 is now available; this is a bug
fix release (after 1 year) with no new features.

Please consult the Fixes files for a complete list of changes.

Tcsh is an enhanced version of the Berkeley C-shell that offers command
line editing and completion plus many other little things that preserve
the length of your fingers.

Tcsh runs on most UNIX machines, VMS_POSIX, OS/2 EMX, WIN32, Amiga...

You can get tcsh from ftp://ftp.astron.com/pub/tcsh/tcsh-6.20.00.tar.gz

RMD160 (tcsh-6.20.00.tar.gz) = 3f119421ef3500cea1bebe2edf35c6d81ca1c8f3

This is a gzip (GNU zip) tar archive. If you don't have GNU zip you can
get it from ftp.gnu.org or other GNU mirrors.

I would like to thank:

    * everyone who sent bug reports
    * the beta team for all their help, bug fixes, and suggestions

christos
Comment 5 Vladimir Zakharov 2016-11-25 20:19:59 UTC
Review: https://reviews.freebsd.org/D8640
Comment 6 alex.deiter 2016-11-25 23:55:43 UTC
Hello,

Thank you for update!

Successfully tested for:

root@nostromo:~ # uname -a
FreeBSD nostromo.deiter.local 12.0-CURRENT-r309167-p33 FreeBSD 12.0-CURRENT-r309167-p33 #0 r309167M: Sat Nov 26 01:35:26 MSK 2016     root@builder.deiter.local:/var/devel/obj/var/devel/src/sys/NOSTROMO  amd64

root@nostromo:~ # csh --version
tcsh 6.20.00 (Astron) 2016-11-24 (x86_64-amd-FreeBSD) options wide,nls,dl,al,kan,sm,rh,color,filec
Comment 7 Vladimir Zakharov 2017-03-30 06:58:39 UTC
tcsh has been updated by dchagin. Issue can be closed.
Comment 8 Dmitry Chagin freebsd_committer 2017-03-30 07:02:13 UTC
grab it